local settings = nil
local emoteList = {}


-- functions
local function inTable(str,t)
	for _,v in pairs(t) do
		if str == v then
			return true
		end
	end
	return false
end
local function checkFirst(str,t)
	for _,v in pairs(t) do
		l = string.len(v)
		sub = string.sub(str.." ",0,l)
		if v == sub then
			return true
		end
	end
	return false
end
local function checkLast(str,t)
	for _,v in pairs(t) do
		l = string.len(v)
		sub = string.sub(str,-l)
		if v == sub then
			return true
		end
	end
	return false
end
local function check(str,t)
	for _,v in pairs(t) do
		if string.find(" "..str.." ",v,0,true) then
			return true
		end
	end
	return false
end


-- OnChatMessage Event
local function ParseChat(id, channel, fromName, text)
	i = string.find(fromName,"^",0,true) -- cut off weird name-suffix
	if i ~= nil then 
		fromName = string.sub(fromName,0,i-1)
	end

	if saved.active ~= true then return end -- is AutoEmote deactivated?
	if IsUnitInCombat("player") then return end -- no emotes when we fight!
	if IsPlayerMoving() then return end -- no emotes when we move around!
	if fromName ~= GetUnitName("player") then return end -- is chatmessage sent by someone else?
	
	if channel == CHAT_CHANNEL_PARTY then
		local gs = GetGroupSize()
		if gs < 2 then return end
		local groupcheck = false
		for  x = 1, gs-1 do
			tag = "group"..x
			if IsUnitInGroupSupportRange(tag) then
				groupcheck = true
				x = 100
			end
		end
		if groupcheck == false then return end
	end
	
	local lower = string.lower(text) -- turn text into lowercase, for easier filtering
	local filter = AutoEmoteFilter[channel] -- select the filter for the current channel

	if filter == nil then return end -- filter is empty? abort!
		
	for _,v in pairs(filter) do
		local mode = v[1]
		local keywords = v[2]
		local emotes = v[3]
		
		local action = {
			true,
			checkFirst(lower,keywords),
			check(lower,keywords),
			checkLast(lower,keywords)
		}
		if action[mode] then
			PlayEmote( emoteList[ emotes[ math.random( #emotes ) ] ] );
			return
		end
	end
end


-- Slashcommand to enable/disable AutoEmote
function AutoEmoteToggle(opt)
	if (saved.active) then
		saved.active = false
		d("AutoEmote disabled")
	else
		saved.active = true
		d("AutoEmote activated")
	end
end


-- Handle Addon loading
local function AutoEmoteLoaded(eventCode, addOnName)
    if addOnName ~= "AutoEmote" then return end

	local defaults = {
		active = true
	}
	saved = ZO_SavedVars:New("AutoEmoteSaved", 1, nil, defaults)
	
    SLASH_COMMANDS["/autoemote"] = AutoEmoteToggle

	-- Gather all emotes and put them in a neat table, so we can use slashcommands instead of IDs
	for i = 0, GetNumEmotes() do
		if (GetEmoteSlashName(i) ~= nil) then
			emoteList[GetEmoteSlashName(i)] = i
			d(GetEmoteSlashName(i))
		end
	end
end


-- Start
function AutoEmoteInitialized(self)
	EVENT_MANAGER:RegisterForEvent("AutoEmoteLoaded", EVENT_ADD_ON_LOADED, AutoEmoteLoaded)
	EVENT_MANAGER:RegisterForEvent("AutoEmoteMessageEvent", EVENT_CHAT_MESSAGE_CHANNEL, ParseChat)
end